Jupiter - Zadanie #1895

Zadanie # 1885 (Nowy): uwagi ze spotkania
dodac¢ reset hasta

2017-12-13 10:16 - Lukasz Waskiewicz

Status: Zamkniety Start date: 2017-12-13
Priority: Normalny Due date:

Assignee: tukasz Waskiewicz % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Jarostaw Babel Tester: tukasz Waskiewicz
Description

Potrzebujemy doda¢ do systemu sposéb na resetowanie hasta

wpierw potrzebujemy wymusié, aby nazwa uzytkownika byta mailem

potem pewnie najtatwiej wystanie nowego hasta na email

Associated revisions

Revision d609af22 - 2018-01-18 11:02 - Jarostaw Babel

refs #1895 Email jako nazwa uzytkownika, opcja resetowania hasta w gérnej belce, zmiana na losowe i wystanie mailem hasta dla wybranego loginu

Revision 0f0f7cad - 2018-02-02 15:50 - Jarostaw Babel

refs #1895 Reset hasta bez zwracania wartosci po rest

History

#1 - 2017-12-13 14:36 - Michat Komar
- Category set to backend

- Assignee set to tukasz Waskiewicz

- Target version set to 0.3

- Developer Jarostaw Bgbel added

- Tester tukasz Waskiewicz added

#2 - 2017-12-14 12:06 - Lukasz Waskiewicz
- Description updated

- Assignee changed from tukasz Waskiewicz to Jarostaw Babel
#3 - 2018-01-18 14:14 - Jarostaw Babel

- Status changed from Nowy to Testowanie
- Assignee changed from Jarostaw Babel to tukasz Waskiewicz

Rewizja rozwigzania d609af2.

Trzeba sprawdzi¢, czy dziata icmowa konfiguracja maila, bo przez vpn nie chce dziata¢ (korzystatem z synatportal@02.pl)

Konfiguracja zapisana jest w:

jupiter-services-default.properties
#4 - 2018-01-26 13:56 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Jarostaw Bgbel

wszystko dziata,
tylko /resetPassword
zwraca true jesli udato sie zresetowaé hasto, Ul to ignoruje i robi redirect tak jak méwiliémy, ale wotajgc po rest mozna to true/false odczytaé, aby byto

konsekwentnie to bym w kontrolerze nie zwracat nic

#5 - 2018-02-02 16:10 - Jarostaw Babel

- Status changed from Odpowiedz to Testowanie

- Assignee changed from Jarostaw Babel to tukasz Waskiewicz

Zerknij prosze, czy teraz jest ok.

Musiatem zmienié hasto dla roboczej poczty na synatportal@o02.pl

byto:

SynatPortal#12

teraz jest:

PortalSynat#12

Akurat wewnetrzna konfiguracja poczty ICM nie chce chodzi¢ nawet po VPN.

#6 - 2018-02-06 13:09 - Lukasz Waskiewicz

- Status changed from Testowanie to Zamkniety

OK

#7 - 2018-02-06 13:09 - Lukasz Waskiewicz
- % Done changed from 0 to 100
